Package ch.qos.logback.classic.spi

## Interface IThrowableProxy

All Known Implementing Classes:
  `ThrowableProxy`, `ThrowableProxyVO`

    public interface IThrowableProxy

### Method Summary

All Methods Instance Methods Abstract Methods
`IThrowableProxy` `getCause()`
`java.lang.String` `getClassName()`
`int` `getCommonFrames()`
`java.lang.String` `getMessage()`
`StackTraceElementProxy[]` `getStackTraceElementProxyArray()`
`IThrowableProxy[]` `getSuppressed()`

### Method Detail

#### getMessage

    java.lang.String getMessage()

#### getClassName

    java.lang.String getClassName()

#### getStackTraceElementProxyArray

    StackTraceElementProxy[] getStackTraceElementProxyArray()

#### getCommonFrames

    int getCommonFrames()

#### getCause

    IThrowableProxy getCause()

#### getSuppressed

    IThrowableProxy[] getSuppressed()